For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get actions

Retrieve actions performed on a specified virtual machine.

Get actions

get

Retrieve actions performed on a specified virtual machine.

Actions are operations or events that have been executed on the virtual machine, such as starting, stopping, or modifying the machine. This endpoint allows you to view the history of these actions, providing details about each action, such as the action name, timestamp, and status.

Use this endpoint to view VPS operation history and troubleshoot issues.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Query parameters
pageintegerOptional

Page number

Example: 1
Responses
200

Success response

application/json
get/api/vps/v1/virtual-machines/{virtualMachineId}/actions
GET /api/vps/v1/virtual-machines/{virtualMachineId}/actions HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 8123712,
      "name": "action_name",
      "state": "success",
      "created_at": "2025-02-27T11:54:00Z",
      "updated_at": "2025-02-27T11:58:00Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?